<?php
/**
* Noting Found Page Settings.
*
* @package Modern Art Gallery
*/

$modern_art_gallery_default = modern_art_gallery_get_default_theme_options();

$wp_customize->add_section( 'modern_art_gallery_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Noting Found Page Settings', 'modern-art-gallery' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'modern_art_gallery_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('modern_art_gallery_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_checkbox',
    )
);
$wp_customize->add_control('modern_art_gallery_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'modern-art-gallery'),
        'section' => 'modern_art_gallery_noting_found_page_settings',
        'type' => 'checkbox',
    )
);